diff --git a/L1Trigger/DTTriggerPhase2/interface/ShowerBuilder.h b/L1Trigger/DTTriggerPhase2/interface/ShowerBuilder.h
index e19b66d7918e..930e0191827f 100644
--- a/L1Trigger/DTTriggerPhase2/interface/ShowerBuilder.h
+++ b/L1Trigger/DTTriggerPhase2/interface/ShowerBuilder.h
@@ -26,7 +26,7 @@ namespace showerb {
     typedef std::pair<int, DTPrimitive> DTPrimPlusBx;
     typedef std::deque<DTPrimPlusBx> ShowerBuffer;
     
-    bool hitWireSort_shower(const DTPrimitive& hit1, const DTPrimitive& hit2){
+    inline bool hitWireSort_shower(const DTPrimitive& hit1, const DTPrimitive& hit2){
         int wi1 = hit1.channelId();
         int wi2 = hit2.channelId();
 
@@ -34,7 +34,7 @@ namespace showerb {
         else return false;
     }
 
-    bool hitLayerSort_shower(const DTPrimitive& hit1, const DTPrimitive& hit2) {
+    inline bool hitLayerSort_shower(const DTPrimitive& hit1, const DTPrimitive& hit2) {
         int lay1 = hit1.layerId();
         int lay2 = hit2.layerId();
 
@@ -43,7 +43,7 @@ namespace showerb {
         else return hitWireSort_shower(hit1, hit2);
     }
 
-    bool hitTimeSort_shower(const DTPrimitive& hit1, const DTPrimitive& hit2) {
+    inline bool hitTimeSort_shower(const DTPrimitive& hit1, const DTPrimitive& hit2) {
         int tdc1 = hit1.tdcTimeStamp();
         int tdc2 = hit2.tdcTimeStamp();
 
@@ -53,7 +53,7 @@ namespace showerb {
         // else return hitLayerSort_shower(hit1, hit2); --> ignoring those sortings for now
     }
 
-    float compute_avg_pos(DTPrimitives& hits) { 
+    inline float compute_avg_pos(DTPrimitives& hits) { 
         int nhits_ = hits.size();
         
         if (nhits_ == 0) return -1.0;
@@ -67,7 +67,7 @@ namespace showerb {
         return aux_avgPos_ / nhits_;
     }
     
-    float compute_avg_time(DTPrimitives& hits) {
+    inline float compute_avg_time(DTPrimitives& hits) {
         int nhits_ = hits.size();
 
         if (nhits_ == 0) return -1.0;
@@ -80,32 +80,32 @@ namespace showerb {
         return aux_avgTime_ / nhits_;
     }
 
-    void set_wires_profile(std::vector<int>& wires_profile, DTPrimitives& hits) {
+    inline void set_wires_profile(std::vector<int>& wires_profile, DTPrimitives& hits) {
         for (auto& hit : hits) {
             wires_profile[hit.channelId()-1]++;
         }
     }
 
-    bool buffer_contains(const ShowerBuffer& buffer, const DTPrimitive& hit) {
+    inline bool buffer_contains(const ShowerBuffer& buffer, const DTPrimitive& hit) {
         for (const auto& item : buffer) {
             if (item.second.channelId() == hit.channelId()) return true;
         }
         return false;
     }
 
-    void buffer_get_hits(const ShowerBuffer& buffer, DTPrimitives& hits) {
+    inline void buffer_get_hits(const ShowerBuffer& buffer, DTPrimitives& hits) {
         for (const auto& item : buffer) {
             hits.push_back(item.second);
         }
     }
 
-    void buffer_clear_olds(ShowerBuffer& buffer, const int _current_bx, const int persistence_bx_units) {
+    inline void buffer_clear_olds(ShowerBuffer& buffer, const int _current_bx, const int persistence_bx_units) {
         while (!buffer.empty() && (_current_bx - buffer.front().first) > persistence_bx_units) {
             buffer.pop_front();
         }
     }
 
-    void buffer_reset(ShowerBuffer& buffer) {
+    inline void buffer_reset(ShowerBuffer& buffer) {
         buffer.clear();
     }
 }
diff --git a/L1Trigger/DTTriggerPhase2/src/MPCoincidenceFilter.cc b/L1Trigger/DTTriggerPhase2/src/MPCoincidenceFilter.cc
index 2f675834489b..e76d7876ba37 100644
--- a/L1Trigger/DTTriggerPhase2/src/MPCoincidenceFilter.cc
+++ b/L1Trigger/DTTriggerPhase2/src/MPCoincidenceFilter.cc
@@ -72,9 +72,9 @@ std::vector<metaPrimitive> MPCoincidenceFilter::filter(std::vector<metaPrimitive
     if (sector == 14)
       sector = 10;
 
-    bool wh2pass = 0;
-    if(abs(wheel)==2 && station==1 && co_wh2option==1)wh2pass=1;
-    if(abs(wheel)==2 && station<3  && co_wh2option==2)wh2pass=1;
+    bool wh2pass = false;
+    if(abs(wheel)==2 && station==1 && co_wh2option==1)wh2pass=true;
+    if(abs(wheel)==2 && station<3  && co_wh2option==2)wh2pass=true;
 
     if (co_option == -1 || mp.quality > 5 || wh2pass==1)
       outMPs.push_back(mp);
diff --git a/L1Trigger/DTTriggerPhase2/src/MPThetaMatching.cc b/L1Trigger/DTTriggerPhase2/src/MPThetaMatching.cc
index 0a3f876eb96c..acaac1e0fbc2 100644
--- a/L1Trigger/DTTriggerPhase2/src/MPThetaMatching.cc
+++ b/L1Trigger/DTTriggerPhase2/src/MPThetaMatching.cc
@@ -150,7 +150,7 @@ std::vector<metaPrimitive> MPThetaMatching::filter(std::vector<metaPrimitive> in
     }
 
     if (sector != oldSector || wheel != oldWheel || station != oldStation) {  //new chamber
-      if (deltaTimePosPhiCands.size() > 0)
+      if (!deltaTimePosPhiCands.empty())
         orderAndSave(deltaTimePosPhiCands, &outMPs, &savedThetaMPs);
 
       deltaTimePosPhiCands.clear();
@@ -197,13 +197,13 @@ std::vector<metaPrimitive> MPThetaMatching::filter(std::vector<metaPrimitive> in
       deltaTimePosPhiCands.push_back({mpTheta, mpPhi, abs(tphi - ttheta)});
     }  //loop in phis
 
-    if (deltaTimePosPhiCands.size() == 0) {
+    if (deltaTimePosPhiCands.empty()) {
       outMPs.push_back(mpTheta);  //save ThetaMP when there is no phi TPs
       savedThetaMPs.push_back(mpTheta);
     }
   }  // loop in thetas
 
-  if (deltaTimePosPhiCands.size() > 0)
+  if (!deltaTimePosPhiCands.empty())
     orderAndSave(deltaTimePosPhiCands, &outMPs, &savedThetaMPs);  //do once more for last theta TP in loop
 
   return outMPs;
